aboutsummaryrefslogtreecommitdiffstats
path: root/testing/neon/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-28 12:38:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-28 12:38:53 +0000
commit45c7fb0a6a3678fd3bee9865dd30fb15b8695400 (patch)
tree5dc7b10cb5ce3f2e8d596bde8ecde95f2e6d1945 /testing/neon/APKBUILD
parent06af197923ee6f7d470cb7f8b5e480cdb14370e6 (diff)
downloadaports-45c7fb0a6a3678fd3bee9865dd30fb15b8695400.tar.gz
aports-45c7fb0a6a3678fd3bee9865dd30fb15b8695400.tar.bz2
aports-45c7fb0a6a3678fd3bee9865dd30fb15b8695400.tar.xz
testing/neon: new aport
HTTP and WebDAV client library with a C interface http://www.webdav.org/neon/ needed for subversion
Diffstat (limited to 'testing/neon/APKBUILD')
-rw-r--r--testing/neon/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/neon/APKBUILD b/testing/neon/APKBUILD
new file mode 100644
index 0000000000..e6af49c718
--- /dev/null
+++ b/testing/neon/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=neon
+pkgver=0.28.3
+pkgrel=1
+pkgdesc="HTTP and WebDAV client library with a C interface"
+url="http://www.webdav.org/neon/"
+license="GPL LGPL"
+depends="openssl zlib expat"
+makedepends="expat-dev openssl-dev zlib-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.webdav.org/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build () {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --with-ssl \
+ --with-expat \
+ --disable-gssapi \
+ --disable-nls \
+ --disable-socks \
+ --enable-shared \
+ --disable-static \
+
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="47599a328862ce64ac3c52726d6daa12 neon-0.28.3.tar.gz"